function bin = limmitBin(dat, intervals, vis);

% Data binning into intervals
valBin = [];
valIdx = 21:21+80-1;
dat.valRaw = dat.valRaw(:, valIdx);
for iMin = 1:length(intervals) - 1
   idx = find(dat.wgtRaw > intervals(iMin) & dat.wgtRaw <= intervals(iMin + 1));
   valBin(iMin, :) = sum(dat.valRaw(idx,:));
end

% Dat.Header
valHdr = dat.head(valIdx);

% Experimental inferior
expInfRef = 21;
expInfIdx = [expInfRef:expInfRef+10-1, ...
                expInfRef+40:expInfRef+50-1]; % yellow;
expInfHdr = valHdr(expInfIdx);
expInfBin = valBin(:, expInfIdx);
expInfRaw = dat.valRaw(:, expInfIdx);

% Experimental superior
expSupRef = 1;
expSupIdx = [expSupRef:expSupRef+10-1, ...
                expSupRef+40:expSupRef+50-1]; % brown;
expSupHdr = valHdr(expSupIdx);
expSupBin = valBin(:, expSupIdx);
expSupRaw = dat.valRaw(:, expSupIdx);

% Control inferior
ctrInfRef = 31;
ctrInfIdx = [ctrInfRef:ctrInfRef+10-1, ...
                ctrInfRef+40:ctrInfRef+50-1]; % green
ctrInfHdr = valHdr(ctrInfIdx);
ctrInfBin = valBin(:, ctrInfIdx);
ctrInfRaw = dat.valRaw(:, ctrInfIdx);

% Control superior
ctrSupRef = 11;
ctrSupIdx = [ctrSupRef:ctrSupRef+10-1, ...
                ctrSupRef+40:ctrSupRef+50-1] ;% blue
ctrSupHdr = valHdr(ctrSupIdx);
ctrSupBin = valBin(:, ctrSupIdx);
ctrSupRaw = dat.valRaw(:, ctrSupIdx);

% Testing case
if vis.t0Flg
   bin.expInfHdr = expInfHdr(1:2:end);
   bin.expInfBin = expInfBin(:, 1:2:end);
   bin.expInfRaw = expInfRaw(:, 1:2:end);
   bin.expSupHdr = expSupHdr(1:2:end);
   bin.expSupBin = expSupBin(:, 1:2:end);
   bin.expSupRaw = expSupRaw(:, 1:2:end);
   bin.ctrInfHdr = ctrInfHdr(1:2:end);
   bin.ctrInfBin = ctrInfBin(:, 1:2:end);
   bin.ctrInfRaw = ctrInfRaw(:, 1:2:end);
   bin.ctrSupHdr = ctrSupHdr(1:2:end);
   bin.ctrSupBin = ctrSupBin(:, 1:2:end);
   bin.ctrSupRaw = ctrSupRaw(:, 1:2:end);
end
if vis.t1Flg
   bin.expInfHdr = expInfHdr(2:2:end);
   bin.expInfBin = expInfBin(:, 2:2:end);
   bin.expInfRaw = expInfRaw(:, 2:2:end);
   bin.expSupHdr = expSupHdr(2:2:end);
   bin.expSupBin = expSupBin(:, 2:2:end);
   bin.expSupRaw = expSupRaw(:, 2:2:end);
   bin.ctrInfHdr = ctrInfHdr(2:2:end);
   bin.ctrInfBin = ctrInfBin(:, 2:2:end);
   bin.ctrInfRaw = ctrInfRaw(:, 2:2:end);
   bin.ctrSupHdr = ctrSupHdr(2:2:end);
   bin.ctrSupBin = ctrSupBin(:, 2:2:end);
   bin.ctrSupRaw = ctrSupRaw(:, 2:2:end);
end
if vis.t1t0Flg
   bin.expInfHdr = expInfHdr(1:2:end);
   bin.expInfBin = expInfBin(:, 2:2:end) - expInfBin(:, 1:2:end);
   bin.expInfRaw = expInfRaw(:, 2:2:end) - expInfRaw(:, 1:2:end);
   bin.expSupHdr = expSupHdr(1:2:end);
   bin.expSupBin = expSupBin(:, 2:2:end) - expSupBin(:, 1:2:end);
   bin.expSupRaw = expSupRaw(:, 2:2:end) - expSupRaw(:, 1:2:end);
   bin.ctrInfHdr = ctrInfHdr(1:2:end);
   bin.ctrInfBin = ctrInfBin(:, 2:2:end) - ctrInfBin(:, 1:2:end);
   bin.ctrInfRaw = ctrInfRaw(:, 2:2:end) - ctrInfRaw(:, 1:2:end);
   bin.ctrSupHdr = ctrSupHdr(1:2:end);
   bin.ctrSupBin = ctrSupBin(:, 2:2:end) - ctrSupBin(:, 1:2:end);
   bin.ctrSupRaw = ctrSupRaw(:, 2:2:end) - ctrSupRaw(:, 1:2:end);
end
%_______________________________________________________________________


