
function [Header nHeader]= seaeddy_confread(filename)

% IOPHEADERREAD read cruise log file 

%	Copyright (c) Davide D'Alimonte (2006, 2007)

% Read the file header
if ~exist(filename)
   disp(['seaeddy> missing file: ' filename])
end
nHeader = 1;
fid = fopen(filename);
tline = fgetl(fid);
while 1
   tline = fgetl(fid);
   if strcmp(tline, ''), continue, end
   if ~ischar(tline),   break,   end;
   if strcmp(tline, '/end_header@'),   break,   end
   if ~strncmp(tline, '!', 1)
      mock = strsep(tline, 'sep', '=');
      mockName = strrep(mock{1}(2:end), ' ', '');
      mockVal = strsep(mock{2}, 'sep', ';');
      mockVal = char(strrep(mockVal(1), ' ', ''));
      if ~strcmp(mockName, 'color_file') & ...
         ~strcmp(mockName, 'data_path')  & ...
         ~strcmp(mockName, 'res_path')  & ...
         ~strcmp(mockName, 'data_file')  & ...
         ~strcmp(mockName, 'xls_file')  & ...
         ~strcmp(mockName, 'fig_path');
         mockVal = str2num(mockVal);
      end
      Header.(mockName) = mockVal;
   end
   nHeader = nHeader + 1;
end
nHeader = nHeader + 1;
fclose(fid);
%_______________________________________________________________________