function limmitDefPlt( dat.allWgt, dat.allVal, hnd)

% Default intervals
defInt = [9.1,9.2;...
9.4,9.8;...
9.9,9.9;...
11.7,12.1;...
13,13.9;...
15.6,16.4;...
21.6,22.6;...
26.8,28.8;...
32.2,34.8;...
37,38.9;...
44.9,47.6;...
53.2,56;...
60.8,62.7;...
67.1,67.4;...
69.3,70.7;...
74,76.8;...
79.1,79.1;...
92.1,92.1;...
148.5,169.7];

% Show default bands
name = 'def';
hFig = limmitFigCreate();
v = [0 255 0 25];
axis(v);
hold on;
set(gca, 'XMinorGrid', 'off', 'YMinorGrid', 'off');
nInt = length(defInt);
intTag = [];
intLab = [];
intCol = limmitColors(hnd.cfg.nker, {'w','k'});
for iInt = 1:nInt
   pos =  [defInt(iInt, 1) 0 defInt(iInt, 2) - defInt(iInt, 1) v(4)];
   if pos(3)
      hLin = plot([defInt(iInt, 1) defInt(iInt, 1)], v(3:4));
      set(hLin, 'lineW', 2, 'Color', intCol(iInt, :));
      hRct = rectangle('Position', pos);
      set(hRct, 'EdgeColor', 'none', 'FaceColor', intCol(iInt, :));
      intLab{iInt} = sprintf('%.1f-%.1f', defInt(iInt, 1), defInt(iInt, 2));
   else
      hLin = plot([defInt(iInt, 1) defInt(iInt, 1)], v(3:4));
      set(hLin, 'lineW', 2, 'Color', intCol(iInt, :));
      intLab{iInt} = sprintf('%.1f', defInt(iInt, 1));
   end
   intTag(iInt) = hLin;
end
hL = legend(intTag, intLab, 'Location', 'EastOutside');
set(hL, 'fonts', 9);

% Plot all points
hPts = plot(dat.allWgt, dat.allVal, 'ko');
set(hPts, 'MarkerSize', 4);

% Title and labels
xlabel('Weight [kDa]');
ylabel('Proteomics expression [N. of cases]');
title('Default intervals');

% Print the figure
limmitFigPrint(['../doc/fig/' name], hFig);
%_______________________________________________________________________