function hFig = limmitFigCreate(varargin);

% Default figure position
position = [0.05 1 10 5];
paperposition = [5 5 10 5];
visible = 'on';
name = 'fig';
reset = 0;

for iArg = 1:2:nargin
   switch lower(varargin{iArg})
     case 'visible'
      visible = varargin{iArg + 1};
     case 'position'
      position = varargin{iArg + 1};
     case 'paperposition'
      paperposition = varargin{iArg + 1};
     case 'name'
      name = varargin{iArg + 1};
     case 'reset'
      reset = varargin{iArg + 1};
   end   
end

if ~nargin
   
   % Figure with no predefined tag name
   hFig = figure('NumberTitle', 'on', ...
                 'Name', '', ...
                 'Color', 'w', ...
                 'visible', visible, ...
                 'Units', 'inches', ...
                 'PaperUnits', 'inches',...
                 'Position', position,...
                 'PaperPosition' , paperposition);

else
   
   % The figure has a selected tag name
   if ~isempty(findobj('tag', name));     
      
      % Return the id of the figure
      hFig = findobj('tag', name);
      figure(hFig);
      if reset
         cla;
      end
      set(hFig, 'tag', name, 'name', name);
      
   else
      
      % Create the figure
      hFig = figure('NumberTitle', 'off', ...
                    'Name', name, ...
                    'Color', 'w', ...
                    'visible', visible, ...
                    'Units', 'inches', ...
                    'PaperUnits', 'inches',...
                    'Position', position,...
                    'PaperPosition' , paperposition);
      set(hFig, 'tag', name, 'name', name);
      
   end

end
%_________________________________________________________________________
