function limmitGmmPlt(dat, name)

% Show results
% name = 'gmm';
hFig = limmitFigCreate(name);
v = [0 255 0 25];
axis(v);
hold on

% Show bands
nIntervals = length(dat.minWgt) - 1;
intCol = limmitColors(nIntervals, {'w','k'});
intTag = [];
intLab = [];
for iMin = 1:nIntervals
   pos =  [dat.minWgt(iMin) 0 dat.minWgt(iMin + 1) - dat.minWgt(iMin) v(4)];
   if pos(3)
      hLin = plot([dat.minWgt(iMin) dat.minWgt(iMin)], v(3:4));
      set(hLin, 'lineW', 2, 'Color', intCol(iMin, :));
      hRct = rectangle('Position', pos);
      set(hRct, 'EdgeColor', 'none', 'FaceColor', intCol(iMin, :));
      intLab{iMin} = sprintf('%.1f-%.1f', dat.minWgt(iMin), dat.minWgt(iMin + 1));
   else
      hLin = plot([dat.minWgt(iMin) dat.minWgt(iMin)], v(3:4));
      set(hLin, 'lineW', 2, 'Color', intCol(iMin, :));
      intLab{iMin} = sprintf('%.1f', dat.minWgt(iMin));
   end
   intTag(iMin) = hLin;
end
hL = legend(intTag, intLab, 'Location', 'EastOutside');
set(hL, 'fonts', 9);

% Plot all points
hPts = plot(dat.allWgt, dat.allVal, 'ko');
set(hPts, 'MarkerSize', 4);

h1 = plot(dat.allWgt, 250 * dat.dns, 'k');
set(h1, 'linew', 3);
h2 = plot(dat.allWgt, 250 * dat.dns, 'w');
set(h2, 'linew', 1);

% Title and labels
xlabel('Weight [kDa]')
ylabel('Proteomics expression [N. of cases]')
title(['GMM intervals [' name ']']);

% Print the figure
limmitFigPrint(['../doc/fig/' name], hFig);
