% LIMMITSTRGET Get string component
%    [strComp, nComp] = limmitStrGet(varargin)
%
% INPUTS 
%    varargin: input string and component separator (see the example below)
%
% OUTPUT 
%    strComp: string parts
%    nComp: number of components
%
% EXAMPLE 
%    [strComp, nComp] = limmitStrGet('pippo,pluto', 'sep', ',')
%    strComp{1} = 'pippo';
%    strComp{2} = 'pluto';
%    nComp = 2;
%_______________________________________________________________________

function [strComp, nComp] = limmitStrGet(varargin)

% Initialization
nComp = 0;
i = 1;
sep = ' ';
string = varargin{1};
if length(varargin) > 1;
   for k = 2:length(varargin);
      switch varargin{k};
        case 'sep'				
         sep = varargin{k + 1};
        otherwise
      end
   end
end

% String parsing
while i <= length(string); 
   if string(i) ~= sep; % Check for the component separator
      strPortion = '';			
      while string(i) ~= sep; 
         strPortion = [strPortion, string(i)];
         if i == length(string);
            break
         end
         i = i + 1;
      end
      nComp = nComp + 1;
      strComp{nComp}=strPortion;
   end
   i = i + 1;	
end
%_______________________________________________________________________
