% Get data from the xls spread sheet
function [dat sheet] = limmitXlsget(filename)

% Create the Excell server
sheet.xls.server = actxserver('excel.application');

% Link to the Excell workbook
sheet.xls.workbook = sheet.xls.server.Workbooks.Open(filename);
sheet.xls.server.visible = 0;

% Get xls data
valXls = sheet.xls.workbook.ActiveSheet.get('Range', 'A1:DY1');

% Dat.Header
dat.head = valXls.value(10:end);

% Read data
valXls = sheet.xls.workbook.ActiveSheet.get('Range', 'A2:DY715');

% Raw weights
dat.wgtRaw = [valXls.value{:,9}]';

% Raw values
dat.valRaw = cell2mat([valXls.value(:, 10:end)]);

% All weights and values
flags = [dat.valRaw ~= 0];
values = sum(flags, 2);
dat.allWgt = min(dat.wgtRaw):.1:max(dat.wgtRaw);
dat.allVal = zeros(size(dat.allWgt));
for iW = 1:length(dat.allWgt)
   idx = find(dat.allWgt(iW)==dat.wgtRaw);
   if idx
      dat.allVal(iW) = values(idx);
   end
end

% Data points
dat.pts = [];
cnt = 1;
for iW = 1:length(dat.allWgt)
   if dat.allVal(iW) > 1
      for iVal = 1:dat.allVal(iW)
         dat.pts(cnt) = dat.allWgt(iW); % + 0.0001 * randn;
         cnt = cnt + 1;
      end
   end
end
%_______________________________________________________________________