%returns a list of all the different sensors in the dataset
%param:
%sensor_data is the matrix containing all the sensor data
%
%return:
%sensor_list is a list containg all the sensors_ID of the different sensors
%in the dataset
%diff_sensors is the matrix of all the indices not sorted (pointers to sensor_data)
function [sensor_list, diff_sensors] = getSensorList(sensors_data);

%finding all the different sensors in the dataset
diff_sensors = [];
pos = 1;
for i=1:size(sensors_data,1),
   if(isempty(find(sensors_data(diff_sensors,6)==sensors_data(i,6))))
       diff_sensors(pos) = i;
       pos = pos+1;
   end
end 

%list of all the sensors
sensor_list = sensors_data(diff_sensors,6);

%ordering the sensor in ascending order
[sorted,sindex] = sort(sensor_list);
sensor_list = sensor_list(sindex);
        


