function data = logNormGenData(nData, minv, maxv, varargin)

seed = fix(1000 * rand(1));
data = zeros(nData, 1);
a = (log(maxv) + log(minv)) / 2;
b = ((log(maxv) - a) / 3);
for i = 1:nData
   [buff, seed ] = log_normal_sample(a, b, seed);
   data(i,1) = buff;
end

if varargin{2}

   figure
   x = logspace(fix(log10(min(data))) - 1, ...
                fix(log10(max(data))) + 1, ...
                (fix(log10(max(data))) - ...
                 fix(log10(min(data))) + 1)*10);
   %x=x(1:2:end);
   for i = 1:(length(x)-1)
      y(i) = sum(data> x(i) & data < x(i+1)) / nData * 100;
      hh = patch([x(i) x(i) x(i+1) x(i+1)], [0  y(i) y(i)  0], 'w');
            set(hh, 'FaceCol', [.5 .5 .5])
      if i == 1
         hold on
      end
   end
   set(gca, 'XScale', 'log');
   grid on;
   axis square;
   box on;
   v = axis;
   axis([x(1) x(end) v(3) v(4)])
   v = axis;
   set(gca, 'XTick', 10.^(log10(v(1)):1:log10(v(2))))

   
   if nargin > 3
      title(varargin{1})
   end

end
